%define modname libevent
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B02_%{modname}.ini

Summary:	Libevent - event notification
Name:		php-%{modname}
Version:	0.1.0
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/libevent/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	libevent-devel

%description
This extension is a wrapper for libevent - event notification library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.1.0-3.mga4
+ Revision: 567676
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 527896
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.0-1.mga4
+ Revision: 442847
- 0.1.0

* Wed Jan 30 2013 oden <oden> 0.0.5-3.mga3
+ Revision: 393305
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.0.5-2.mga3
+ Revision: 375815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.0.5-1.mga3
+ Revision: 275567
- upgrade to 0.0.5

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.0.4-3.mga2
+ Revision: 223908
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 0.0.4-2.mga2
+ Revision: 185603
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.0.4-1.mga1
+ Revision: 48047
- removed buildroot definition from .spec
- imported package php-libevent


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-1mdv2011.0
+ Revision: 630304
- 0.0.4

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-9mdv2011.0
+ Revision: 629817
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-8mdv2011.0
+ Revision: 628138
- ensure it's built without automake1.7
- rebuilt against libevent 2.x

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-6mdv2011.0
+ Revision: 600502
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdv2011.0
+ Revision: 588840
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-4mdv2010.1
+ Revision: 514566
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdv2010.1
+ Revision: 485399
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-2mdv2010.1
+ Revision: 468182
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdv2010.0
+ Revision: 452910
- import php-libevent


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdv2010.0
- initial Mandriva package
